@rem
@rem Copyright 2015 the original author or authors.
@rem
@rem Licensed under the Apache License, Version 2.0 (the "License");
@rem you may not use this file except in compliance with the License.
@rem You may obtain a copy of the License at
@rem
@rem      https://www.apache.org/licenses/LICENSE-2.0
@rem
@rem Unless required by applicable law or agreed to in writing, software
@rem distributed under the License is distributed on an "AS IS" BASIS,
@rem WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@rem See the License for the specific language governing permissions and
@rem limitations under the License.
@rem

@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  zuliaexport startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Add default JVM options here. You can also use JAVA_OPTS and ZULIAEXPORT_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windows variants

if not "%OS%" == "Windows_NT" goto win9xME_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\zulia-server-1.7.4.jar;%APP_HOME%\lib\zulia-query-parser-1.7.4.jar;%APP_HOME%\lib\zulia-client-1.7.4.jar;%APP_HOME%\lib\lucene-backward-codecs-8.3.0.jar;%APP_HOME%\lib\lucene-facet-8.3.0.jar;%APP_HOME%\lib\lucene-highlighter-8.3.0.jar;%APP_HOME%\lib\jcommander-1.78.jar;%APP_HOME%\lib\jersey-container-grizzly2-http-2.27.jar;%APP_HOME%\lib\jersey-hk2-2.27.jar;%APP_HOME%\lib\activation-1.1.1.jar;%APP_HOME%\lib\jaxb-api-2.3.0.jar;%APP_HOME%\lib\zulia-analyzer-1.7.4.jar;%APP_HOME%\lib\zulia-common-1.7.4.jar;%APP_HOME%\lib\jersey-server-2.27.jar;%APP_HOME%\lib\jersey-client-2.27.jar;%APP_HOME%\lib\jersey-media-jaxb-2.27.jar;%APP_HOME%\lib\jersey-common-2.27.jar;%APP_HOME%\lib\hk2-locator-2.5.0-b42.jar;%APP_HOME%\lib\hk2-api-2.5.0-b42.jar;%APP_HOME%\lib\hk2-utils-2.5.0-b42.jar;%APP_HOME%\lib\micronaut-http-client-1.2.10.jar;%APP_HOME%\lib\micronaut-http-server-netty-1.2.8.jar;%APP_HOME%\lib\micronaut-http-server-1.2.8.jar;%APP_HOME%\lib\micronaut-runtime-1.2.10.jar;%APP_HOME%\lib\micronaut-http-netty-1.2.10.jar;%APP_HOME%\lib\micronaut-websocket-1.2.10.jar;%APP_HOME%\lib\micronaut-router-1.2.8.jar;%APP_HOME%\lib\micronaut-http-1.2.10.jar;%APP_HOME%\lib\micronaut-aop-1.2.10.jar;%APP_HOME%\lib\micronaut-inject-1.2.10.jar;%APP_HOME%\lib\javax.annotation-api-1.3.2.jar;%APP_HOME%\lib\protobuf-java-util-3.9.0.jar;%APP_HOME%\lib\json-io-4.10.1.jar;%APP_HOME%\lib\mongodb-driver-sync-3.12.0.jar;%APP_HOME%\lib\rxjava-2.2.10.jar;%APP_HOME%\lib\lucene-queryparser-8.3.0.jar;%APP_HOME%\lib\lucene-analyzers-common-8.3.0.jar;%APP_HOME%\lib\lucene-core-8.3.0.jar;%APP_HOME%\lib\hppc-0.8.1.jar;%APP_HOME%\lib\lucene-memory-8.3.0.jar;%APP_HOME%\lib\lucene-queries-8.3.0.jar;%APP_HOME%\lib\javax.inject-2.5.0-b42.jar;%APP_HOME%\lib\grizzly-http-server-2.4.0.jar;%APP_HOME%\lib\javax.ws.rs-api-2.1.jar;%APP_HOME%\lib\grpc-protobuf-1.23.0.jar;%APP_HOME%\lib\protobuf-java-3.9.0.jar;%APP_HOME%\lib\grpc-stub-1.23.0.jar;%APP_HOME%\lib\grpc-netty-shaded-1.23.0.jar;%APP_HOME%\lib\grpc-core-1.23.0.jar;%APP_HOME%\lib\grpc-protobuf-lite-1.23.0.jar;%APP_HOME%\lib\grpc-api-1.23.0.jar;%APP_HOME%\lib\guava-26.0-android.jar;%APP_HOME%\lib\perfmark-api-0.17.0.jar;%APP_HOME%\lib\error_prone_annotations-2.3.2.jar;%APP_HOME%\lib\gson-2.7.jar;%APP_HOME%\lib\mongodb-driver-core-3.12.0.jar;%APP_HOME%\lib\bson-3.12.0.jar;%APP_HOME%\lib\micronaut-buffer-netty-1.2.10.jar;%APP_HOME%\lib\micronaut-core-1.2.10.jar;%APP_HOME%\lib\reactive-streams-1.0.2.jar;%APP_HOME%\lib\slf4j-api-1.7.26.jar;%APP_HOME%\lib\javax.inject-1.jar;%APP_HOME%\lib\snakeyaml-1.24.jar;%APP_HOME%\lib\validation-api-2.0.1.Final.jar;%APP_HOME%\lib\jackson-datatype-jdk8-2.9.9.jar;%APP_HOME%\lib\jackson-datatype-jsr310-2.9.9.jar;%APP_HOME%\lib\jackson-databind-2.9.9.3.jar;%APP_HOME%\lib\java-lsh-0.12.jar;%APP_HOME%\lib\lucene-sandbox-8.3.0.jar;%APP_HOME%\lib\netty-handler-proxy-4.1.43.Final.jar;%APP_HOME%\lib\commons-pool2-2.7.0.jar;%APP_HOME%\lib\grizzly-http-2.4.0.jar;%APP_HOME%\lib\osgi-resource-locator-1.0.1.jar;%APP_HOME%\lib\aopalliance-repackaged-2.5.0-b42.jar;%APP_HOME%\lib\javassist-3.22.0-CR2.jar;%APP_HOME%\lib\jsr305-3.0.2.jar;%APP_HOME%\lib\checker-compat-qual-2.5.2.jar;%APP_HOME%\lib\j2objc-annotations-1.1.jar;%APP_HOME%\lib\animal-sniffer-annotations-1.17.jar;%APP_HOME%\lib\netty-codec-http-4.1.43.Final.jar;%APP_HOME%\lib\netty-handler-4.1.43.Final.jar;%APP_HOME%\lib\netty-codec-socks-4.1.43.Final.jar;%APP_HOME%\lib\netty-codec-4.1.43.Final.jar;%APP_HOME%\lib\netty-transport-4.1.43.Final.jar;%APP_HOME%\lib\netty-buffer-4.1.43.Final.jar;%APP_HOME%\lib\netty-resolver-4.1.43.Final.jar;%APP_HOME%\lib\netty-common-4.1.43.Final.jar;%APP_HOME%\lib\proto-google-common-protos-1.12.0.jar;%APP_HOME%\lib\grizzly-framework-2.4.0.jar;%APP_HOME%\lib\jackson-annotations-2.9.0.jar;%APP_HOME%\lib\jackson-core-2.9.9.jar;%APP_HOME%\lib\annotations-4.1.1.4.jar;%APP_HOME%\lib\opencensus-contrib-grpc-metrics-0.21.0.jar;%APP_HOME%\lib\opencensus-api-0.21.0.jar;%APP_HOME%\lib\grpc-context-1.23.0.jar

@rem Execute zuliaexport
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %ZULIAEXPORT_OPTS%  -classpath "%CLASSPATH%" io.zulia.server.cmd.ZuliaExport %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable ZULIAEXPORT_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%ZULIAEXPORT_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
